<?php
if ( ! defined( 'FIRE_BRIGADE_VERSION' ) ) {
	define( 'FIRE_BRIGADE_VERSION', '0.0.1' );
}

/**
 * Enqueue scripts and styles.
 */
function fire_brigade_scripts() {
	wp_enqueue_style( 'fire-brigade-style', trailingslashit( get_template_directory_uri() ) . 'assets/css/style.css', array(), FIRE_BRIGADE_VERSION );

	wp_enqueue_style( 'fontawesome', trailingslashit( get_template_directory_uri() ) . 'assets/css/font-awesome/css/all.css', array(), FIRE_BRIGADE_VERSION );

	wp_enqueue_style( 'owl-carousel-css', trailingslashit( get_template_directory_uri() ) . 'assets/css/owl.carousel.css', array(), FIRE_BRIGADE_VERSION );

	// Enqueue theme JavaScript
	wp_enqueue_script( 'fire-brigade-theme', trailingslashit( get_template_directory_uri() ) . 'assets/js/theme.js',
	    array( 'jquery' ), FIRE_BRIGADE_VERSION,true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), FIRE_BRIGADE_VERSION, true );

}
add_action( 'wp_enqueue_scripts', 'fire_brigade_scripts' );

function fire_brigade_load_dashicons_front_end() {
    wp_enqueue_style( 'dashicons' );
}
add_action( 'wp_enqueue_scripts', 'fire_brigade_load_dashicons_front_end' );

/**
 * Enqueue Editor styles.
 */
function fire_brigade_enqueue_editor_block_styles() {
	// Enqueue editor styles.
	add_editor_style( trailingslashit( get_template_directory_uri() ) . 'assets/css/editor-style.css' );
}
add_action( 'after_setup_theme', 'fire_brigade_enqueue_editor_block_styles' );

/**
 * Pattern categories.
 */
function fire_brigade_register_block_pattern_category() {
	register_block_pattern_category(
		'fire-brigade-banner',
		array(
			'label' => esc_html__( 'Banner', 'fire-brigade' ),
		)
	);
	
	register_block_pattern_category(
		'fire-brigade-services',
		array(
			'label' => esc_html__( 'Services', 'fire-brigade' ),
		)
	);
}
add_action( 'init', 'fire_brigade_register_block_pattern_category' );

/**
 * Add theme support for various features.
 */
function fire_brigade_setup() {

	load_theme_textdomain( 'fire-brigade', get_template_directory() . '/languages' );

	// Add support for block styles.
	add_theme_support( 'wp-block-styles' );
	
	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
}
add_action( 'after_setup_theme', 'fire_brigade_setup' );

/**
 * Upgrade to Pro
 */
$fire_brigade_pro_customize = trailingslashit( get_template_directory() ) . 'fire-brigade-pro/class-customize.php';
if ( file_exists( $fire_brigade_pro_customize ) ) {
    require_once $fire_brigade_pro_customize;
}

/**
 * Notices
 */
require_once get_parent_theme_file_path( '/activation-notice/class-welcome-notice.php' );

/**getstart*/
$fire_brigade_theme_info = get_template_directory() . '/fire-brigade-get-theme-info.php';
if ( file_exists( $fire_brigade_theme_info ) ) {
    require $fire_brigade_theme_info;
}

if ( ! function_exists( 'fire_brigade_admin_scripts' ) ) :
    function fire_brigade_admin_scripts($hook) {
        wp_enqueue_style( 'fire-brigade-get-theme-info-css', get_template_directory_uri() . '/assets/css/fire-brigade-get-theme-info.css', false ); 
    }
endif;
add_action( 'admin_enqueue_scripts', 'fire_brigade_admin_scripts' );